## org.apache.catalina.cluster
Class ClusterSessionBase

    java.lang.Object
      org.apache.catalina.cluster.ClusterSessionBase

Direct Known Subclasses:
  MulticastReceiver, MulticastSender

public abstract class ClusterSessionBase
extends java.lang.Object

This is an abstract implementation of `ClusterSender` and `ClusterReceiver` which provide basic functionallity shared by the two components.

Version:
  $Revision: 1.4 $, $Date: 2004/08/26 21:28:18 $
Author:
  Bip Thelin

Field Summary
`protected StringManager` `sm` The string manager for this package.

Constructor Summary
`ClusterSessionBase()`

Method Summary
`int` `getDebug()` Get the debug level for this component
`Logger` `getLogger()` Get the Logger for this component
`abstract java.lang.String` `getName()`
`java.lang.String` `getSenderId()` get the senderId used to identify messages being send or received in a Cluster.
`void` `log(java.lang.String message)` The log method to use in the implementation
`void` `setDebug(int debug)` Set the debug detail level for this component.
`void` `setLogger(Logger logger)` Set the Logger for this component.
`void` `setSenderId(java.lang.String senderId)` The senderId is a identifier used to identify different packagesin a Cluster.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected StringManager sm

  The string manager for this package.

Constructor Detail

### ClusterSessionBase

    public ClusterSessionBase()

Method Detail

### setSenderId

    public void setSenderId(java.lang.String senderId)

  The senderId is a identifier used to identify different packagesin a Cluster. Each package received or send through the concrete implementation of this interface will have the senderId set at runtime. Usually the senderId is the name of the component that is using this component.

  Parameters:
    `senderId` - The senderId to use

### getSenderId

    public java.lang.String getSenderId()

  get the senderId used to identify messages being send or received in a Cluster.

  Returns:
    The senderId for this component

### setDebug

    public void setDebug(int debug)

  Set the debug detail level for this component.

  Parameters:
    `debug` - The debug level

### getDebug

    public int getDebug()

  Get the debug level for this component

  Returns:
    The debug level

### setLogger

    public void setLogger(Logger logger)

  Set the Logger for this component.

### getLogger

    public Logger getLogger()

  Get the Logger for this component

  Returns:
    The Logger associated with this component.

### getName

    public abstract java.lang.String getName()

### log

    public void log(java.lang.String message)

  The log method to use in the implementation

  Parameters:
    `message` - The message to be logged.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.